Subject: [icnrg] Review of draft-irtf-icnrg-scenarios-01

From: "Zuniga, Juan Carlos" <[email-masked]>
Date: Mon, 17 Feb 2014 09:44:10 -0500

Börje, Kostas, all,

Sorry about the delay. Here are some comments about the draft from my side:

The document is quite informative and offers a lot of good material. However, the structure seems to be a bit inconsistent. Here are some suggestions for improvement:

-          It is stated that the goals of the document are 1) to provide a set of ICN use cases, and 2) to identify key attributes to evaluate ICN approaches. It is hard to clearly identify the achievement of these two goals from the current structure, so I would suggest crating a subsection called simply Baseline Scenarios and include in this subsection the current sections 2, 3, 4, 5, 6, 7, 11, and 12.

-          Sections 8, 9 and 13, rather than scenarios seem to be providing more Considerations. If this is the case, they could be included in a different subsection called Considerations.

-          Section 10 describes two scenarios: opportunistic content sharing, and emergency support/disaster recovery. I would suggest separating these into two different parts and include them in the Baseline Scenarios subsection.

-          In general, I would expect the second goal (i.e. identify key attributes) to be achieved by providing some clear metrics derived from each one of the identified scenarios. At the moment, at the end of each scenario there are some high level considerations discussions and just a couple of metrics are mentioned in some of them.

-          Finally, the introduction is very wide. To improve readability I would separate the first 3 paragraphs in a "Background" subsection, and the rest in a different subsection, perhaps called something like "Baseline Scenarios Selection Strategy."

Regards,

Juan Carlos

From: Börje Ohlman [mailto:[email-masked]] 
Sent: Wednesday, January 22, 2014 3:43 AM
To: GQ Wang
Cc: Mark Stapp; Zuniga, Juan Carlos; icnrg; Kostas Pentikousis
Subject: Re: Review reminder

Hi G.Q,

Thanks for your comments.

Let's hope we hear from the other reviewers soon.

     Börje

17 jan 2014 kl. 21:09 skrev "GQ Wang" <[email-masked]>:

	Borje and Kostas,

	  I think this version is in good shape. Only a minor update:

	  "Information security and trust" was mentioned in the abstract section, but it was not duplicated in the first paragraph of introduction section.

	  I would suggest you repeat this point in the introduction portion.

	  Regards,

	  G.Q

	From: Börje Ohlman [mailto:[email-masked]] 
	Sent: Monday, December 16, 2013 7:58 AM
	To: Mark Stapp; GQ Wang; [email-masked]
	Cc: icnrg; Kostas Pentikousis
	Subject: Review reminder

	Hi Mark, GQ and Juan-Carlos,
	 
	This is just a very friendly reminder that you took on to review the ICNRG draft 'ICN Baseline Scenarios' and post your comments to the mailing list. We are very much looking forward to your comments.
	 
	Best regards,
	                                              Börje